io.vertx.rxjava3.ext.web.handler.graphql.ws

## Class ConnectionInitEvent

- java.lang.Object
- - io.vertx.rxjava3.core.Promise<Object>
  - - io.vertx.rxjava3.ext.web.handler.graphql.ws.ConnectionInitEvent

-     public class ConnectionInitEvent
      extends Promise<Object>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<ConnectionInitEvent>` | `__TYPE_ARG`

    - ### Fields inherited from class io.vertx.rxjava3.core.Promise

      `__typeArg_0`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionInitEvent(ConnectionInitEvent delegate)`
    `ConnectionInitEvent(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `complete(Object result)` Set the result.
    `boolean` | `equals(Object o)`
    `Future<Object>` | `future()`
    `ConnectionInitEvent` | `getDelegate()`
    `int` | `hashCode()`
    `Message` | `message()` Provides message content.
    `static ConnectionInitEvent` | `newInstance(ConnectionInitEvent arg)`
    `String` | `toString()`
    `boolean` | `tryComplete(Object result)` Like `Promise.complete(T)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.

    - ### Methods inherited from class io.vertx.rxjava3.core.Promise

      `complete, fail, fail, newInstance, newInstance, promise, tryComplete, tryFail, tryFail`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<ConnectionInitEvent> __TYPE_ARG

  - ### Constructor Detail

    - #### ConnectionInitEvent

          public ConnectionInitEvent(ConnectionInitEvent delegate)

    - #### ConnectionInitEvent

          public ConnectionInitEvent(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Promise<Object>`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Promise<Object>`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Promise<Object>`

    - #### getDelegate

          public ConnectionInitEvent getDelegate()

      Overrides:
        `getDelegate` in class `Promise<Object>`

    - #### complete

          public void complete(Object result)

      Set the result. Any handler will be called, if there is one, and the promise will be marked as completed.

      Any handler set on the associated promise will be called.
      Overrides:
        `complete` in class `Promise<Object>`
      Parameters:
        `result` - the result

    - #### tryComplete

          public boolean tryComplete(Object result)

      Like `Promise.complete(T)` but returns `false` when the promise is already completed instead of throwing an `IllegalStateException`, it returns `true` otherwise.
      Overrides:
        `tryComplete` in class `Promise<Object>`
      Parameters:
        `result` - the result
      Returns:
        `false` when the future is already completed

    - #### future

          public Future<Object> future()

      Overrides:
        `future` in class `Promise<Object>`
      Returns:
        the associated with this promise, it can be used to be aware of the promise completion

    - #### message

          public Message message()

      Provides message content.
      Returns:
        message

    - #### newInstance

          public static ConnectionInitEvent newInstance(ConnectionInitEvent arg)

Copyright © 2022 Eclipse. All rights reserved.